BlockEvents.modification(event => {
  // 修改单个机器方块的光源等级
  event.modify('mbd2:fm_carnation', block => {
    block.setLightEmission(7.0)
  })
  event.modify('mbd2:exp_rite_altar', block => {
    block.setLightEmission(8.0) // 设置发光等级为15（最亮）
  })
  event.modify('mbd2:mana_compres_unit', block => {
    block.setLightEmission(5.0)
  })
  event.modify('mbd2:livingwood_terra_core_log', block => {
    block.setLightEmission(9.0)
  })
  event.modify('mbd2:livingwood_copper_core_log', block => {
    block.setLightEmission(8.0)
  })

  // 如果有多个机器，可以批量修改
  // event.modify(['mbd2:machine_a', 'mbd2:machine_b'], block => {
  //   block.setLightEmission(0.8)
  // })
})